ACF-Pro Kompatiblitätsprobleme

Beim Einsatz von ACF Pro kommt es zu Problemen im Javascript. Ist ACF Pro aktiv, wird leider eine veraltete Javascript-Bibliothek von ACF geladen. Mit diesem Hook wird dieses Problem bei ACF umgangen.

Fehler

Folgende Fehler treten im Javascript auf und verursacht so einige Probleme im Backend von WordPress:

Uncaught Error: Option ‘ajax’ is not allowed for Select2 when attached to a <select> element.

Uncaught TypeError: Cannot read property ‘hasClass’ of undefined

Problemlösung

Folgenden Hook in die functions.php einfügen, damit wird die select2-Version von ACF auf 4.0 gehoben:

Quelle: https://github.com/woocommerce/woocommerce/issues/12924

 

Alternative

Falls du ACF nicht verwendest aber trotzdem Probleme dieser Art hast, kannst du auch folgende Option ausprobieren und den Haken anhaken:

AT -> Einstellungen -> Erweiterte Einstellungen -> “select2”-Felder deaktivieren (nur bei Javascript-Fehlern aktvieren)

Du hast noch Fragen? Kein Problem :-)
Wir beantworten deine Fragen gerne in unserem Forum.